﻿<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug Unicode|Win32">
      <Configuration>Debug Unicode</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release Unicode|Win32">
      <Configuration>Release Unicode</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <ProjectGuid>{F558E2B6-62CF-4D1D-A6EA-448D159E5675}</ProjectGuid>
    <RootNamespace>BaseClasses_2010</RootNamespace>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <CharacterSet>Unicode</CharacterSet>
    <UseOfMfc>false</UseOfMfc>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'" Label="Configuration">
    <ConfigurationType>StaticLibrary</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
    <UseOfMfc>false</UseOfMfc>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'">
    <TargetName>strmbaseRU</TargetName>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'">
    <TargetExt>.lib</TargetExt>
    <OutDir>$(SolutionDir)..\..\..\..\lib\</OutDir>
    <IncludePath>$(WindowsSdkDir)include;../;D:\DXSDK_9_0b\Include;$(VCInstallDir)include;$(VCInstallDir)atlmfc\include;$(FrameworkSDKDir)\include;$(VCInstallDir)PlatformSDK\include</IncludePath>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'">
    <OutDir>$(ProjectDir)\..\..\..\lib\</OutDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'">
    <TargetName>strmbaseDU</TargetName>
    <IncludePath>$(WindowsSdkDir)include;../;D:\DXSDK_9_0b\Include;$(VCInstallDir)include;$(VCInstallDir)atlmfc\include;$(FrameworkSDKDir)\include;$(VCInstallDir)PlatformSDK\include</IncludePath>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug Unicode|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>Disabled</Optimization>
      <DebugInformationFormat>ProgramDatabase</DebugInformationFormat>
      <PreprocessorDefinitions>_DEBUG;_LIB;_WIN32_DCOM;DEBUG;WINVER=0x400;WIN32;UNICODE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <PrecompiledHeaderFile>streams.h</PrecompiledHeaderFile>
      <CallingConvention>StdCall</CallingConvention>
      <UseUnicodeForAssemblerListing>true</UseUnicodeForAssemblerListing>
      <RuntimeLibrary>MultiThreadedDebug</RuntimeLibrary>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
    </Link>
    <Lib>
      <AdditionalDependencies>strmiids.lib</AdditionalDependencies>
      <UseUnicodeResponseFiles>true</UseUnicodeResponseFiles>
    </Lib>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release Unicode|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <Optimization>MaxSpeed</Optimization>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <PreprocessorDefinitions>_LIB;_WIN32_DCOM;WINVER=0x400;WIN32;NDEBUG;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <RuntimeLibrary>MultiThreaded</RuntimeLibrary>
      <CallingConvention>StdCall</CallingConvention>
      <RuntimeTypeInfo>
      </RuntimeTypeInfo>
    </ClCompile>
    <Link>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
    </Link>
    <Lib>
      <AdditionalDependencies>strmiids.lib</AdditionalDependencies>
    </Lib>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClInclude Include="..\amextra.h" />
    <ClInclude Include="..\amfilter.h" />
    <ClInclude Include="..\cache.h" />
    <ClInclude Include="..\combase.h" />
    <ClInclude Include="..\cprop.h" />
    <ClInclude Include="..\ctlutil.h" />
    <ClInclude Include="..\ddmm.h" />
    <ClInclude Include="..\dllsetup.h" />
    <ClInclude Include="..\dsschedule.h" />
    <ClInclude Include="..\fourcc.h" />
    <ClInclude Include="..\measure.h" />
    <ClInclude Include="..\msgthrd.h" />
    <ClInclude Include="..\mtype.h" />
    <ClInclude Include="..\outputq.h" />
    <ClInclude Include="..\pstream.h" />
    <ClInclude Include="..\pullpin.h" />
    <ClInclude Include="..\refclock.h" />
    <ClInclude Include="..\reftime.h" />
    <ClInclude Include="..\renbase.h" />
    <ClInclude Include="..\seekpt.h" />
    <ClInclude Include="..\source.h" />
    <ClInclude Include="..\streams.h" />
    <ClInclude Include="..\strmctl.h" />
    <ClInclude Include="..\sysclock.h" />
    <ClInclude Include="..\transfrm.h" />
    <ClInclude Include="..\transip.h" />
    <ClInclude Include="..\videoctl.h" />
    <ClInclude Include="..\vtrans.h" />
    <ClInclude Include="..\winctrl.h" />
    <ClInclude Include="..\winutil.h" />
    <ClInclude Include="..\wxdebug.h" />
    <ClInclude Include="..\wxlist.h" />
    <ClInclude Include="..\wxutil.h" />
  </ItemGroup>
  <ItemGroup>
    <ClCompile Include="..\amextra.cpp" />
    <ClCompile Include="..\amfilter.cpp" />
    <ClCompile Include="..\amvideo.cpp" />
    <ClCompile Include="..\combase.cpp" />
    <ClCompile Include="..\cprop.cpp" />
    <ClCompile Include="..\ctlutil.cpp" />
    <ClCompile Include="..\ddmm.cpp" />
    <ClCompile Include="..\dllentry.cpp" />
    <ClCompile Include="..\dllsetup.cpp" />
    <ClCompile Include="..\mtype.cpp" />
    <ClCompile Include="..\outputq.cpp" />
    <ClCompile Include="..\pstream.cpp" />
    <ClCompile Include="..\pullpin.cpp" />
    <ClCompile Include="..\refclock.cpp" />
    <ClCompile Include="..\renbase.cpp" />
    <ClCompile Include="..\schedule.cpp" />
    <ClCompile Include="..\seekpt.cpp" />
    <ClCompile Include="..\source.cpp" />
    <ClCompile Include="..\strmctl.cpp" />
    <ClCompile Include="..\sysclock.cpp" />
    <ClCompile Include="..\transfrm.cpp" />
    <ClCompile Include="..\transip.cpp" />
    <ClCompile Include="..\videoctl.cpp" />
    <ClCompile Include="..\vtrans.cpp" />
    <ClCompile Include="..\winctrl.cpp" />
    <ClCompile Include="..\winutil.cpp" />
    <ClCompile Include="..\wxdebug.cpp" />
    <ClCompile Include="..\wxlist.cpp" />
    <ClCompile Include="..\wxutil.cpp" />
  </ItemGroup>
  <ItemGroup>
    <None Include="..\activex.rcv" />
    <None Include="..\activex.ver" />
    <None Include="..\readme.txt" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>